org.apache.ignite.spi.indexing

## Class IndexingQueryFilterImpl

- java.lang.Object
- - org.apache.ignite.spi.indexing.IndexingQueryFilterImpl

All Implemented Interfaces:
  IndexingQueryFilter

    public class IndexingQueryFilterImpl
    extends Object
    implements IndexingQueryFilter

Indexing query filter.

### Constructor Summary

Constructors
Constructor and Description
`IndexingQueryFilterImpl(GridKernalContext ctx, @Nullable AffinityTopologyVersion topVer, @Nullable int[] partsArr)` Constructor.
`IndexingQueryFilterImpl(GridKernalContext ctx, @Nullable AffinityTopologyVersion topVer, @Nullable int[] partsArr, boolean treatReplicatedAsPartitioned)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable IndexingQueryCacheFilter` `forCache(String cacheName)` Creates optional predicate for cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexingQueryFilterImpl

    public IndexingQueryFilterImpl(GridKernalContext ctx,
                                   @Nullable
                                   @Nullable AffinityTopologyVersion topVer,
                                   @Nullable
                                   @Nullable int[] partsArr,
                                   boolean treatReplicatedAsPartitioned)

Constructor.

Parameters:
  `ctx` - Kernal context.
  `topVer` - Topology version.
  `partsArr` - Partitions array.
  `treatReplicatedAsPartitioned` - If true, only primary partitions of replicated caches will be used.

#### IndexingQueryFilterImpl

    public IndexingQueryFilterImpl(GridKernalContext ctx,
                                   @Nullable
                                   @Nullable AffinityTopologyVersion topVer,
                                   @Nullable
                                   @Nullable int[] partsArr)

Constructor.

Parameters:
  `ctx` - Kernal context.
  `topVer` - Topology version.
  `partsArr` - Partitions array.

### Method Detail

#### forCache

    @Nullable
    public @Nullable IndexingQueryCacheFilter forCache(String cacheName)

Creates optional predicate for cache.

Specified by:
  `forCache` in interface `IndexingQueryFilter`
Parameters:
  `cacheName` - Cache name.
Returns:
  Predicate or `null` if no filtering is needed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021